eTB Manager Namibia - Bug #770

Change labels and calculation for "Dot Supervision Report" at Management module
06/24/2013 11:48 AM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 06/24/2013
Priority: Normal Due date:

Assignee: Luis Gustavo do Valle Bastos % Done: 80%
Category: Estimated time: 0.00 hour
Target version: Version 2.1 Spent time: 0.00 hour
Component: Reports

Description

Change as follows. See attached.

Change label “Type of patient” to “Name of patient”. Should be the list of patients who started on treatment in the specific month
selected in the field “Initial Month/year”.

Include the District Registration Number for each patient displayed (as a new column or complementing the column for the name).
Column “Prescribed (days)” should be the number of days which particular regimen (can be changed in the field “Treatment
regimen”) was prescribed within the month selected in the field “Initial Month/year”. So, it could not be more than 30 or 31 days

depending on calendar month.

Column “Taken”: include (days) to the label. Should be the number of days registered as “Directly taken (D)” in the Register Medicine
Intake screen within the month.

Column “Not taken”: include (days) to the label. Should be the number of days registered as “Medicines not taken (N)” in the Register
Medicine Intake screen within the month.

Column “Self Admin”: include (days) to the label. Should be the number of days registered as “Not supervised (S)” in the Register
Medicine Intake screen within the month.

Column “DOT completion rate” should be presented in percentage. Calculation: value on column “Taken (days)” divided by value on
column “Prescribed (days)” times 100.

History

#1 - 07/16/2013 09:18 PM - Ricardo Memoria
- Status changed from New to In Progress

- % Done changed from 0 to 80

The report is still under development, but it's almost ready. Still missing:

e Column "DOT completion rate";
e Patient registration number not displayed yet;

It's already available at http:/dev.msh.org/etbmanager

#2 - 07/17/2013 01:38 PM - Ricardo Memoria
- Status changed from In Progress to Resolved

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

Redmine is back again.

It was implemented and is available for testing.

05/06/2025 1/3



http://dev.msh.org/etbmanager

#3 - 07/19/2013 06:53 PM - Luis Gustavo do Valle Bastos
- Status changed from Resolved to Feedback
- Assignee changed from Luis Gustavo do Valle Bastos to Ricardo Memoria

- Component set to Reports

- Change "Initial Month/Year" to a period with "From Month/Year" to "To Month/Year";

- As a mandatory field, if user let this fields blank, system should display a warning message.

- Change label "Taken" to "DOT";

- Move the column "Self Admin" to between the columns Taken and Not Taken;

- All cases on treatment during the period should be selected in this report, and not only those started on treatment during the selected period;

- Change the label "Number of patients who started treatment during the period" to "Patients on treatment during the selected period".

#4 - 08/07/2013 01:53 PM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

Available for evaluation in dev area

#5 - 08/07/2013 01:53 PM - Ricardo Memoria

- Status changed from Feedback to Resolved

#6 - 12/30/2013 01:18 PM - Luis Gustavo do Valle Bastos
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Ricardo Memoria

Still missing:
- Change report label to DOT (with capitol letter)Supervision Report;
- Change label "Taken" to "DOT";

- All cases on treatment during the period should be selected in this report. The numbers don't match (are often fewer) when comparing to the
numbers obtained using the advanced search at the cases module.

#7 - 01/03/2014 08:09 AM - Ricardo Memoria
- Status changed from Feedback to Resolved

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

Fixed and available in test dev
#8 - 05/14/2015 09:56 AM - Ricardo Memoria

- Status changed from Resolved to Closed

Files
